Bug 966803 - Namespaced uservars break Watchman
Namespaced uservars break Watchman
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 22:39 EDT by Jhon Honce
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:10:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jhon Honce 2013-05-23 22:39:18 EDT
Description of problem:
The introduction of subdirectories in ~gear/.env break Watchman.

Version-Release number of selected component (if applicable):


How reproducible:
Any devenv running Watchman

Steps to Reproduce:
1. read /var/log/messages
2.
3.

Actual results:
May 23 22:37:15 ip-10-152-188-137 rhc-watchman[29871]: watchman caught #<Errno::EISDIR: Is a directory - /var/lib/openshift/519e5ccee219dd4f29000001/.env/mongodb>: Is a directory - /var/lib/openshift/519e5ccee219dd4f29000001/.env/mongodb. Retries left: 1


Expected results:
no errors

Additional info:
Comment 1 Jhon Honce 2013-05-24 15:00:32 EDT
Fixed in https://github.com/openshift/li/pull/1463
Comment 2 openshift-github-bot 2013-05-24 22:15:49 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/12689bc28cbebd29d1e5e7ff1cd8cb5053583ab8
Bug 966803 - Watchman support for namespaced directories in .env

* Read V2 gear environments
* Restart watchman when sync'ing to devenv
Comment 3 Meng Bo 2013-05-27 05:50:00 EDT
Checked on devenv_3277,

1. Watch the /var/log/messages
2. Create some app on the node
3. Add dbs to the apps

4. There is no error for the rhc-watchman

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.